Package com.google.protobuf

# Annotation Interface ExperimentalApi

@Retention(SOURCE) @Target({ANNOTATION_TYPE,CONSTRUCTOR,FIELD,METHOD,PACKAGE,TYPE}) @Documented public @interface ExperimentalApi
Indicates a public API that can change at any time, and has no guarantee of API stability and backward-compatibility.

Usage guidelines:

1. This annotation is used only on public API. Internal interfaces should not use it.
2. This annotation should only be added to new APIs. Adding it to an existing API is considered API-breaking.
3. Removing this annotation from an API gives it stable status.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
Context information such as links to discussion thread, tracking issue etc.

## Element Details

### value

String value
Context information such as links to discussion thread, tracking issue etc.

Default:
  ""